function serverController($scope, $http) {
    $scope.items = [];
    $scope.newItem = {};
    $scope.okMessage = null;
    $scope.errorMessage = null;
    $scope.isBusy = true;

    $scope.addItem = function () {
        $http.post('/api/ServerApi/', $scope.newItem).then(function () {
            $scope.okMessage = "Erfolgreich hinzugefügt.";
        },
        function () {
            $scope.errorMessage = "Fehler beim Hinzufügen.";
        }).then(function () {
            $scope.isBusy = false;
        });
    };

    $http.get('/api/ServerApi/').then(function (result) {
        angular.copy(result.data, $scope.items);
    },
    function () {
        alert('Error getting servers!');
    }).then(function () {
        $scope.isBusy = false;
    });
}